"""
Custom exceptions for the application
"""


class PrinterSocketErrorException(Exception):
    """Exception raised for printer socket errors."""

    def __init__(self, message="Printer socket error", original_exception=None):
        self.message = message
        self.original_exception = original_exception
        super().__init__(self.message)
